db_enum Struct Reference

`#include <db_enum.h>`

## Data Fields

const char * | text
int | value

## Detailed Description

A enumerate value, represented by a character string and integer. Used for converting database enumerate values from/to text and integer and is often given as a NULL terminated list.

Definition at line 38 of file db_enum.h.

## Field Documentation

## text

const char* db_enum::text

Definition at line 39 of file db_enum.h.

Referenced by db_value_from_enum_value(), db_value_to_enum_value(), hsm_key_to_backup_state(), key_data_role_text(), key_state_state_text(), key_state_type_text(), policy_key_role_text(), policy_set_zone_soa_serial_text(), and policy_zone_soa_serial_text().

## value

int db_enum::value

Definition at line 40 of file db_enum.h.

Referenced by db_value_from_enum_value(), db_value_to_enum_value(), key_data_role_text(), key_state_state_text(), key_state_type_text(), policy_key_role_text(), policy_set_zone_soa_serial_text(), and policy_zone_soa_serial_text().

The documentation for this struct was generated from the following file:

- src/db/db_enum.h